varying vec3 vNormal;
uniform float DirectionX;
uniform float DirectionY;

varying float Depth;

void main(void)
{
   gl_Position = gl_ModelViewProjectionMatrix * gl_Vertex;
   gl_TexCoord[0] = gl_MultiTexCoord0;
   gl_TexCoord[0].xy += vec2( DirectionX / 50.0, DirectionY/ 50.0 );  
   vNormal = gl_NormalMatrix * gl_Normal;
   
   Depth = gl_Position.z;
}